import { ref, onMounted } from 'vue'

const fontNames = Object.keys(fonts)

export const useFont = () => {
  const font = ref('jetbrains-mono')

  onMounted(() => {
    const storedFont = localStorage.getItem('font')
    if (storedFont) {
      font.value = storedFont
      document.body.classList.remove(...fontNames)
      document.body.classList.add(storedFont)
    }
  })

  const setFont = (newFont: string) => {
    font.value = newFont
    document.body.classList.remove(...fontNames)
    document.body.classList.add(newFont)
    localStorage.setItem('font', newFont)
  }

  return {
    font,
    setFont,
  }
}
