import { defineConfig, type PresetFactory } from 'unocss'
import {
  presetAttributify,
  presetIcons,
  presetTypography,
  presetUno,
  transformerCompileClass,
  transformerDirectives,
  transformerVariantGroup,
} from 'unocss'
import type { Theme } from 'unocss/preset-uno'
import presetTheme from 'unocss-preset-theme'
import { themesWithoutName } from '~/utils/themes'

export default defineConfig<Theme>({
  theme: themesWithoutName['catppuccin-mocha'],
  presets: [
    presetUno(),
    presetAttributify(),
    presetTypography(),
    presetIcons(),
    presetTheme<Theme>({
      theme: themesWithoutName,
    }) as PresetFactory<Theme>,
  ],
  transformers: [transformerDirectives(), transformerVariantGroup(), transformerCompileClass()],
})
